Get all Custom Property Definitions
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/{entity_type}/custom_properties \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/{entity_type}/custom_properties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/{entity_type}/custom_properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"property_name": "wage",
"property_type": "number"
},
{
"property_name": "sector",
"property_type": "text"
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Definitions
Get all Custom Property Definitions
Get a list of all the Custom Property Definitions stored inside the system.
Get all Custom Property Definitions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Custom Properties are supported on the following entity types: taxonomy/domains, taxonomy/subdomains, taxonomy/skill_clusters, taxonomy/skills, employees, organisational_units, job_architecture/job_families, job_architecture/jobs, vacancies, courses, skill_clusters, and companies.
Response
OK
The name of the Custom Property. Can not contain __.
Required string length:
1 - 100Example:
"sector"
Expected type of the Custom Property.
Available options:
text, number, boolean, list[text], datetime Required string length:
1 - 10Example:
"text"
Example:
[
{
"property_name": "wage",
"property_type": "number"
},
{
"property_name": "sector",
"property_type": "text"
}
]
Was this page helpful?